org.apache.lucene.search.regex

## Class SpanRegexQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.search.spans.SpanQuery
    - - org.apache.lucene.search.regex.SpanRegexQuery

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, RegexQueryCapable

      public class SpanRegexQuery
      extends SpanQuery
      implements RegexQueryCapable

  A SpanQuery version of `RegexQuery` allowing regular expression queries to be nested within other SpanQuery subclasses.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpanRegexQuery(Term term)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getField()` Returns the name of the field matched by this query.
    `RegexCapabilities` | `getRegexImplementation()`
    `Spans` | `getSpans(IndexReader reader)` Expert: Returns the matches for this query in an index.
    `Term` | `getTerm()`
    `java.util.Collection` | `getTerms()` Returns a collection of all terms matched by this query.
    `int` | `hashCode()`
    `Query` | `rewrite(IndexReader reader)` Expert: called to re-write queries into primitive queries.
    `void` | `setRegexImplementation(RegexCapabilities impl)`
    `java.lang.String` | `toString(java.lang.String field)` Prints a query to a string, with `field` assumed to be the default field and omitted.

    - ### Methods inherited from class org.apache.lucene.search.spans.SpanQuery

      `createWeight`

    - ### Methods inherited from class org.apache.lucene.search.Query

      `clone, combine, extractTerms, getBoost, getSimilarity, mergeBooleanQueries, setBoost, toString, weight`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SpanRegexQuery

          public SpanRegexQuery(Term term)

  - ### Method Detail

    - #### getTerm

          public Term getTerm()

    - #### rewrite

          public Query rewrite(IndexReader reader)
                        throws java.io.IOException

      Description copied from class: `Query`
      Expert: called to re-write queries into primitive queries. For example, a PrefixQuery will be rewritten into a BooleanQuery that consists of TermQuerys.
      Overrides:
        `rewrite` in class `Query`
      Throws:
        `java.io.IOException`

    - #### getSpans

          public Spans getSpans(IndexReader reader)
                         throws java.io.IOException

      Description copied from class: `SpanQuery`
      Expert: Returns the matches for this query in an index. Used internally to search for spans.
      Specified by:
        `getSpans` in class `SpanQuery`
      Throws:
        `java.io.IOException`

    - #### getField

          public java.lang.String getField()

      Description copied from class: `SpanQuery`
      Returns the name of the field matched by this query.
      Specified by:
        `getField` in class `SpanQuery`

    - #### getTerms

          public java.util.Collection getTerms()

      Description copied from class: `SpanQuery`
      Returns a collection of all terms matched by this query.
      Specified by:
        `getTerms` in class `SpanQuery`
      See Also:
        `Query.extractTerms(Set)`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `Query`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Query`

    - #### toString

          public java.lang.String toString(java.lang.String field)

      Description copied from class: `Query`
      Prints a query to a string, with `field` assumed to be the default field and omitted.

      The representation used is one that is supposed to be readable by `QueryParser`. However, there are the following limitations:

      - If the query was created by the parser, the printed representation may not be exactly what was parsed. For example, characters that need to be escaped will be represented without the required backslash.
      - Some of the more complicated queries (e.g. span queries) don't have a representation that can be parsed by QueryParser.
      Specified by:
        `toString` in class `Query`

    - #### setRegexImplementation

          public void setRegexImplementation(RegexCapabilities impl)

      Specified by:
        `setRegexImplementation` in interface `RegexQueryCapable`

    - #### getRegexImplementation

          public RegexCapabilities getRegexImplementation()

      Specified by:
        `getRegexImplementation` in interface `RegexQueryCapable`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.